Bug 847294 - Virt-viewer doesn't recognize CTRL-ALT-DEL to send to the VM.
Virt-viewer doesn't recognize CTRL-ALT-DEL to send to the VM.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Marc-Andre Lureau
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 09:26 EDT by Bill Sanford
Modified: 2013-12-13 10:40 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 10:40:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Sanford 2012-08-10 09:26:45 EDT
Description of problem:
Virt-viewer doesn't recognize CTRL-ALT-DEL to send to the VM. You can send it through the menu, but not the keyboard. I also tried CTRL-ALT-END and nothing.

Version-Release number of selected component (if applicable):
RHEL-7.0-20120711.2

How reproducible:
100%

Steps to Reproduce:
1. Start virt-viewer and when guest is up, try to access it with CTRL-ALT-DEL.
2.
3.
  
Actual results:
Nothing happens.

Expected results:
Should come up with the shutdown dialog box.

Additional info:
Comment 2 tingting zheng 2012-11-28 22:28:37 EST
I can reproduce this issue with RHEL-7.0-20120711.2 while try newer build RHEL-7.0-20121120.1 the issue can not be reproduced.
Comment 4 Marc-Andre Lureau 2013-12-10 18:57:31 EST
can you check what key events are received with xev -event keyboard in guest?
thanks
Comment 5 Marc-Andre Lureau 2013-12-10 18:58:48 EST
(In reply to tingting zheng from comment #2)
> I can reproduce this issue with RHEL-7.0-20120711.2 while try newer build
> RHEL-7.0-20121120.1 the issue can not be reproduced.

if confirm working now, I suggest to close.

Note You need to log in before you can comment on or make changes to this bug.